package cn.fw.hermes.common.constant;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 张志伟
 * @date 2018-09-17 18:08
 * @description 消息体
 */
@Data
public class MsgBody {
    /**
     * 消息内容。 当接收方为iphone后台在线时，做iOS离线Push时文本展示。
     */
    private String text;
    /**
     * 位置信息描述 / 自定义消息描述信息（自定义消息的情况）
     */
    private String desc;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 表情索引，用户自定义
     */
    private int index;
    /**
     * 额外数据 / 自定义消息数据(自定义的消息的情况)
     */
    private String data;
    /**
     * 扩展字段。
     */
    private String ext;
    /**
     * 自定义APNS推送铃音。
     */
    private String sound = "dingdong.aiff";
}
