package cn.fw.hermes.sdk.api.result;

import cn.fw.hermes.sdk.api.para.ChatRecordCondition;
import java.util.List;
import lombok.Data;

/**
 * @Author: Chenery
 * @Date: 2021/2/22 14:02
 */
@Data
public class ChatRecordResult {

    /**
     * 错误码
     */
    private Integer errorCode;

    /**
     * 错误信息
     */
    private String errorInfo;

    /**
     * 响应码
     */
    private String actionStatus;
    /**
     *  是否全部拉取，
     *  0表示未全部拉取，需要续拉，
     *  1表示已全部拉取
     *
     *
     */
    private Integer complete;

    /**
     * 本次拉取到的消息条数
     */
    private Integer msgCnt;

    /**
     *本次拉取到的消息里的最后一条消息的时间
     */
    private Integer lastMsgTime;

    /**
     * 上一次拉取到的最后一条消息的 MsgKey，续拉时需要填该字段
     */
    private String lastMsgKey;

    /**
     * 消息记录列表
     */
    private List<ChatRecordCondition> msgList;




}
