package cn.fw.hermes.sdk.api.result;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 张志伟
 * @date 2018-04-02 15:42
 * @description
 */
public class NoticeResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String alert;

    /**
     * 消息类型 推送、提示。。。
     */
    private Byte msgType;

    /**
     * 系统类型 安卓 IOS。。。 以逗号隔开
     */
    private String osType;

    /**
     * 发送类型  1：OR，2:AND，3:NOT
     */
    private Byte type;

    /**
     * 发送目标类型 别名、标签。。。
     */
    private Byte targetType;

    /**
     * 发送目标 以逗号隔开
     */
    private String target;

    /**
     * 发送时间
     */
    private Date sendTime;

    /**
     * 状态 0:成功 其他参考错误码 pushMessageErrorCode.txt
     */
    private Short status;
    /**
     * 消息id
     */
    private Long msgId;
    /**
     * 拓展信息  业务用
     */
    private String extra;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAlert() {
        return alert;
    }

    public void setAlert(String alert) {
        this.alert = alert;
    }

    public Byte getMsgType() {
        return msgType;
    }

    public void setMsgType(Byte msgType) {
        this.msgType = msgType;
    }

    public String getOsType() {
        return osType;
    }

    public void setOsType(String osType) {
        this.osType = osType;
    }

    public Byte getType() {
        return type;
    }

    public void setType(Byte type) {
        this.type = type;
    }

    public Byte getTargetType() {
        return targetType;
    }

    public void setTargetType(Byte targetType) {
        this.targetType = targetType;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Long getMsgId() {
        return msgId;
    }

    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    @Override
    public String toString() {
        return "NoticeResult{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", alert='" + alert + '\'' +
                ", msgType=" + msgType +
                ", osType='" + osType + '\'' +
                ", type=" + type +
                ", targetType=" + targetType +
                ", target='" + target + '\'' +
                ", sendTime=" + sendTime +
                ", status=" + status +
                ", msgId=" + msgId +
                ", extra='" + extra + '\'' +
                '}';
    }
}
